Create Agent Session

Create Agent Session
Create a session to be used by log ingestion agents

Exchange a secret for a token. The Time-To-Live (TTL) is specified in milliseconds and must be between a minimum of 1 minute (60,000 ms) and a maximum of 180 days (15,552,000,000 ms). If not provided or zero, the system defaults to 30 minutes (1,800,000 ms).

Request
URI
POST
https://{api_host}/api/v2/agent/secrets/exchange
COPY
Request Body
AgentAuthenticationRequest of type(s) application/json
Required

Show optional properties

{
    "secret": "string"
}
{
    "secret": "string",
    "ttl": 0
}
string
secret
Required

secret

integer As int64 As int64
ttl
Optional

ttl

Authentication
This operation uses the following authentication methods.
Responses
200

Session ID created

Returns AgentAuthenticationResponse of type(s) application/json
{
    "access_token": "string",
    "name": "string",
    "new_secret": "string",
    "ttl": 0
}
string
access_token
Required

access_token

string
name
Required

name

string
new_secret
Required

new_secret

integer As int64 As int64
ttl
Required

ttl


400

Invalid secret provided

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"secret":"string"}' https://{api_host}/api/v2/agent/secrets/exchange